/**
 * combo_2.js
 *
 * To test and debug combo widget with a remote store.
 *
 */


/**
 * main function
 */

var main = function(){

//	console.dir(this);

	var combo = new App.form.ComboBox({
		displayField: "CollaborationsCollaboration",
		valueField: "CollaborationsId",
		fieldLabel: "Collaborations",
		model: {
			store: {
						table: "collaborations",
//						encodeTableField: true,
						dbFields: [
							["collaborations", "collaboration"], 
							["collaborations", "id"]],
						fields: ["CollaborationsCollaboration", "CollaborationsId"],
						debug: true,
			},
		}
	});

	combo.on("select", function(){
		console.log(this.getValue());
	});
		
	form = new Ext.FormPanel({
		renderTo: "appmain",
		bodyStyle: 'padding:5px 5px 0',
		height: 50,
		width: 350,
		defaultType: 'textfield',
		frame: true,
		labelWidth: 75,
		items: [combo],
	});
	
	// to select a value the store has to be loaded
//	combo.setValue(2);
};


Ext.onReady(function(){

    Ext.QuickTips.init();

	main();
});