/**
 * panel_1.js
 * 
 * Script to test the panel with MathJax
 *
 */

main = function(){
	console.log('MathJax is loaded');

	var panel = new Ext.Panel({
		autoLoad: App.name + '/reports/report_1',
		preventBodyReset: true,
		script: false,
	});

	
	var vp = new Ext.Viewport({
		region: 'center',
		layout: 'fit',
		items: [panel]
	});

//	console.dir(panel);
	var updater = panel.body.getUpdater();
	
	updater.on('update', function(e, o){
		console.log('html content is loaded');	
		MathJax.Hub.PreProcess();
		MathJax.Hub.Process();
	});
	
	vp.render('appmain');

};

 Ext.onReady(function(){

    Ext.QuickTips.init();

	App.withMathJax ? App.loadMathJax(main) : main();

});