/**
 * panel_2.js
 * 
 * Script to test the panel with MathJax
 *
 */

main = function(){

	var panel = new Ext.Panel({
		autoLoad: App.name + '/reports/report_1',
		preventBodyReset: true,
		plugins: ['pPanelMathJax'],
		script: false,
	});

	var vp = new Ext.Viewport({
		region: 'center',
		layout: 'fit',
		items: [panel]
	});

	vp.render('appmain');
	
};

 Ext.onReady(function(){

    Ext.QuickTips.init();
	
	App.withMathJax ? App.loadMathJax(main) : main();

});