/**
 * French translation
 *
 */

Ext.define('App.local.fr.container.plugin.Login', {
    override: 'App.container.plugin.Login',
    textChangePwd : 'Changer votre mot de passe',
    textLogin     : "S'identifier",
    textLogout    : "Quitter l'application"
});

Ext.define('App.local.fr.form.field.ComboBox', {
    override: 'App.form.field.ComboBox',
    textSelect: 'Sélectioner un(e) '
});

Ext.define('App.local.fr.form.field.ComboBoxMaster', {
    override: 'App.form.field.ComboBoxMaster',
    textSelect: 'Sélectioner un(e) '
});

Ext.define('App.local.fr.form.field.ComboBoxSlave', {
    override: 'App.form.field.ComboBoxSlave',
    textSelect: 'Sélectioner un(e) '
});

Ext.define('App.local.fr.form.field.Dict', {
    override: 'App.form.field.Dict',
    textAddMenu      : 'Ajouter',
    textAddTitle     : 'Entrez le nom de la clé',
    textDestroyMenu  : 'Détruire',
    textDestroyTitle : 'Voulez-vous vraiment détruire la clé',
    textErrorTitle   : 'Erreur ...',
    textErrorMsg     : 'Cette clé existe déjà !',
    textUpdateMenu   : 'Modifier',
    textUpdateTitle  : 'Modifier  la clé'
});

Ext.define('App.local.fr.form.field.List', {
    override: 'App.form.field.List',
    textAdd          : 'Ajouter un élément',
    textDestroy      : 'Détruire cet élément',
    textDestroytitle : 'Détruire ...',
    textDestroyMsg   : 'Voulez-vous vraiment détruire cet élément',
    textGoDown       : 'Déplacer vers le bas',
    textGoUp         : 'Déplacer vers le haut'
});

Ext.define('App.local.fr.form.Panel', {
    override: 'App.form.Panel',
    textCreate            : 'Créer',
    textDestroy           : 'Détruire',
    textDuplicate         : 'Dupliquer',
    textReset             : 'Annuler',
    textUpdate            : 'Actualiser',
    textCreateErrorAction : "L'enregistrement a été détruit.",
    textCreateFailed      : 'La création a échoué...',
    textDbAction          : "La base de donnée n'a pas été modifiée.",
    textDeleteErrorAction : "L'enregistrement a été gardé.",
    textDeleteFailed      : 'La destruction a échouée...',
    textError             : 'Erreur...',
    textServerError       : 'Erreur coté serveur.',
    textStoreError        : "la zone de skoctage interne n'est pas défini !!!",
    textUpdateErrorAction : "Les modifications ont été annulées.",
    textUpdateFailed      : 'La mise à jour a échoué...'
});

Ext.define('App.local.fr.grid.button.ExpertMenu', {
    override: 'App.grid.button.ExpertMenu',
    textExport  : 'Exporter dans un fichier CSV',
    textMathJax : 'Interpréter les équations',
    textReset   : 'Reset'
});

Ext.define('App.local.fr.grid.plugin.Export', {
    override: 'App.grid.plugin.Export',
    textToCSV   : 'Exporter en CSV...',
    textToLaTeX : 'Exporter en LaTeX...',
    textToPDF   : 'Exporter en PDF...'
});

Ext.define('App.local.fr.grid.plugin.Paging', {
    override: 'App.grid.plugin.Paging',
    textPlus   : 'Plus',
    textSlider : 'Entrées par page'
});

Ext.define('App.local.fr.grid.plugin.Toolbar', {
    override: 'App.grid.plugin.Toolbar',
    textEntries : 'Entrées',
    textPlus    : 'Plus'
});

Ext.define('App.local.fr.grid.plugin.RowEditorBase', {
    override: 'App.grid.plugin.RowEditorBase',
    addTitle       : "Créer un enregistrement...",
    deleteTitle    : "Détruire un enregistrement...",
    duplicateTitle : "Dupliquer un enregistrement..",
    editTitle      : "Actualiser un enregistrement...",
    viewTitle      : "Voir un enregistrement...",
    textMsg        : 'Sélectioner un enregistrement !'
});

Ext.define('App.local.fr.grid.plugin.RowEditorConfirmDelete', {
    override: 'App.grid.plugin.RowEditorConfirmDelete',
    confirmMsg: 'Voulez-vous vraiment détruire cet élément ?'
});

Ext.define('App.local.fr.grid.plugin.RowEditorContextMenu', {
    override: 'App.grid.plugin.RowEditorContextMenu',
    textAdd       : 'Ajouter',
    textCreate    : 'Créer',
    textDestroy   : 'Détruire',
    textDuplicate : 'Dupliquer',
    textUpdate    : 'Actualiser',
    textView      : 'Voir'
});

Ext.define('App.local.fr.panel.BaseWithSelector', {
    override: 'App.panel.BaseWithSelector',
    textGo    : 'Go',
    textReset : 'Annuler'
});

Ext.define('App.local.fr.panel.GridWithFilter', {
    override: 'App.panel.GridWithFilter',
    textLoad: 'chargement en cours...'
});

Ext.define('App.local.fr.panel.plugin.LoaderException', {
    override: 'App.panel.plugin.LoaderException',
    textError: 'Erreur  ...'
});

Ext.define('App.local.fr.panel.WithUrlSelector', {
    override: 'App.panel.WithUrlSelector',
    textLoad        : 'chargement en cours...',
    textProgressBar : 'Fichier en préparation. Soyez patient ...'
});

Ext.define('App.local.fr.plugin.MathJax', {
    override: 'App.plugin.MathJax',
    textMask: 'Interprétation des équations ...'
});
